Download it now!
Bug 133269 - CRASH: with drawing object properties toolbar undocked
Summary: CRASH: with drawing object properties toolbar undocked
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-05-22 10:13 UTC by Xisco Faulí
Modified: 2020-06-01 14:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-05-22 10:13:30 UTC
Steps to reproduce:
1. Open Writer
2. Go to View - Toolbars - drawing object properties
3. Right click on the toolbar - Lock toolbar position
4. Undock it
5. Close it
6. Go to View - Toolbars - drawing object properties

-> Crash

reproduced in

Version: 7.0.0.0.alpha1+
Build ID: 8209c2569f5726f9ed29f75d30efdccb94f98fe5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-05-22 10:14:38 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=97a5da96159f28de0b846de7dd94d2880251e8b3

author	Caolán McNamara <caolanm@redhat.com>	2020-02-06 10:59:19 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-02-06 18:17:02 +0100
commit	97a5da96159f28de0b846de7dd94d2880251e8b3 (patch)
tree	091f4334ff184047376240a4deb5bfb9b0da5b1e
parent	bf2f1adfd2e4725518147657c6b57eb5697a29d5 (diff)
weld SvxMetricField

Bisected with: bibisect-linux64-6.5

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2020-05-22 18:36:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a12b8566e835badeae449c52dbace21efc5e623e

Resolves: tdf#133269 infinite regress

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2020-05-22 18:36:41 UTC
that seems to fixe the crash I see
Comment 4 Xisco Faulí 2020-06-01 14:10:32 UTC
Verified in

Version: 7.0.0.0.beta1+
Build ID: 2506d8221dd940dfd93d3d7c183430ba6ba3089d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!